summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorThomas Deutschmann <whissi@gentoo.org>2019-03-08 23:31:09 +0100
committerThomas Deutschmann <whissi@gentoo.org>2019-03-08 23:49:57 +0100
commitbb391df8bdbdfff1cebbaf136d3245699257e5b7 (patch)
tree5238ef13283f42b1458b75e5adc5dbcccc62e40a /mail-client
parentwww-client/firefox: ensure that LLVM deps are in sync with used LLVM slot (diff)
downloadgentoo-bb391df8bdbdfff1cebbaf136d3245699257e5b7.tar.gz
gentoo-bb391df8bdbdfff1cebbaf136d3245699257e5b7.tar.bz2
gentoo-bb391df8bdbdfff1cebbaf136d3245699257e5b7.zip
mail-client/thunderbird: ensure that LLVM deps are in sync with used LLVM slot
Closes: https://bugs.gentoo.org/678098 Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Thomas Deutschmann <whissi@gentoo.org>
Diffstat (limited to 'mail-client')
-rw-r--r--mail-client/thunderbird/thunderbird-60.5.3.ebuild62
1 files changed, 57 insertions, 5 deletions
diff --git a/mail-client/thunderbird/thunderbird-60.5.3.ebuild b/mail-client/thunderbird/thunderbird-60.5.3.ebuild
index 0a51af7a638..d64da880aad 100644
--- a/mail-client/thunderbird/thunderbird-60.5.3.ebuild
+++ b/mail-client/thunderbird/thunderbird-60.5.3.ebuild
@@ -114,11 +114,47 @@ DEPEND="${CDEPEND}
app-arch/unzip
>=sys-devel/binutils-2.30
sys-apps/findutils
- >=sys-devel/llvm-4.0.1
- >=sys-devel/clang-4.0.1
- clang? (
- >=sys-devel/llvm-4.0.1[gold]
- >=sys-devel/lld-4.0.1
+ || (
+ (
+ sys-devel/clang:4
+ !clang? ( sys-devel/llvm:4 )
+ clang? (
+ =sys-devel/lld-4*
+ sys-devel/llvm:4[gold]
+ )
+ )
+ (
+ sys-devel/clang:5
+ !clang? ( sys-devel/llvm:5 )
+ clang? (
+ =sys-devel/lld-5*
+ sys-devel/llvm:5[gold]
+ )
+ )
+ (
+ sys-devel/clang:6
+ !clang? ( sys-devel/llvm:6 )
+ clang? (
+ =sys-devel/lld-6*
+ sys-devel/llvm:6[gold]
+ )
+ )
+ (
+ sys-devel/clang:7
+ !clang? ( sys-devel/llvm:7 )
+ clang? (
+ =sys-devel/lld-7*
+ sys-devel/llvm:7[gold]
+ )
+ )
+ (
+ sys-devel/clang:8
+ !clang? ( sys-devel/llvm:8 )
+ clang? (
+ =sys-devel/lld-8*
+ sys-devel/llvm:8[gold]
+ )
+ )
)
pulseaudio? ( media-sound/pulseaudio )
elibc_glibc? (
@@ -156,6 +192,22 @@ S="${WORKDIR}/${MOZ_P%b[0-9]*}"
BUILD_OBJ_DIR="${S}/tbird"
+llvm_check_deps() {
+ if ! has_version "sys-devel/clang:${LLVM_SLOT}" ; then
+ ewarn "sys-devel/clang:${LLVM_SLOT} is missing! Cannot use LLVM slot ${LLVM_SLOT} ..."
+ return 1
+ fi
+
+ if use clang ; then
+ if ! has_version "=sys-devel/lld-${LLVM_SLOT}*" ; then
+ ewarn "=sys-devel/lld-${LLVM_SLOT}* is missing! Cannot use LLVM slot ${LLVM_SLOT} ..."
+ return 1
+ fi
+ fi
+
+ einfo "Will use LLVM slot ${LLVM_SLOT}!"
+}
+
pkg_setup() {
moz_pkgsetup